import { ObjectLike, ObjectMapper, ObjectFilter, PickOmit } from './types.js';
export { default as count } from './count.js';
export { default as countBy } from './countBy.js';
export { default as every } from './every.js';
export { default as fromPairs } from './fromPairs.js';
export { default as isPlainObject } from './isPlainObject.js';
export { default as map } from './map.js';
export { default as mapValues } from './mapValues.js';
export { default as omit } from './omit.js';
export { default as omitBy } from './omitBy.js';
export { default as omitNull } from './omitNull.js';
export { default as pad } from './pad.js';
export { default as pick } from './pick.js';
export { default as pickBy } from './pickBy.js';
export { default as set } from './set.js';
export { default as setProps } from './setProps.js';

declare const _default: {
    countBy: <T>(object: ObjectLike<T>, mapper?: ObjectMapper<T>) => ObjectLike<number>;
    count: <T_1>(object: ObjectLike<T_1>, filter: ObjectFilter<T_1>) => number;
    every: <T_2>(object: ObjectLike<T_2>, filter: ObjectFilter<T_2>) => boolean;
    fromPairs: (array: [string, any][]) => Record<string, any>;
    isPlainObject: (o: any) => boolean;
    map: <T_3>(object: ObjectLike<T_3>, mapper?: ObjectMapper<T_3>) => T_3[];
    mapValues: <T_4>(object: ObjectLike<T_4>, mapper?: ObjectMapper<T_4>) => ObjectLike<T_4>;
    omit: PickOmit;
    omitBy: <T_5>(object: ObjectLike<T_5>, filter: ObjectFilter<T_5>) => ObjectLike<T_5>;
    omitNull: <T_6>(object: ObjectLike<T_6>, filter?: ObjectFilter<T_6>) => ObjectLike<T_6>;
    pad: (string: string, width?: number, fillString?: string) => string;
    pick: <T_7>(object: ObjectLike<T_7>, fields: string[]) => ObjectLike<T_7>;
    pickBy: <T_8>(object: ObjectLike<T_8>, filter: ObjectFilter<T_8>) => ObjectLike<T_8>;
    setProps: <T_9>(object: T_9, ...propsArray: Record<string, unknown>[]) => T_9;
};

export { _default as default };
